net.sourceforge.pmd.cpd

## Class TokenEntry

- java.lang.Object
- - net.sourceforge.pmd.cpd.TokenEntry

- All Implemented Interfaces:
    Comparable<TokenEntry>

      public class TokenEntry
      extends Object
      implements Comparable<TokenEntry>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TokenEntry` | `EOF`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TokenEntry(String image, String tokenSrcID, int beginLine)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `clearImages()`
    `int` | `compareTo(TokenEntry other)`
    `boolean` | `equals(Object o)`
    `int` | `getBeginLine()`
    `static TokenEntry` | `getEOF()`
    `int` | `getIdentifier()`
    `int` | `getIndex()`
    `String` | `getTokenSrcID()`
    `int` | `hashCode()`
    `void` | `setHashCode(int hashCode)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EOF

          public static final TokenEntry EOF

  - ### Constructor Detail

    - #### TokenEntry

          public TokenEntry(String image,
                    String tokenSrcID,
                    int beginLine)

  - ### Method Detail

    - #### getEOF

          public static TokenEntry getEOF()

    - #### clearImages

          public static void clearImages()

    - #### getTokenSrcID

          public String getTokenSrcID()

    - #### getBeginLine

          public int getBeginLine()

    - #### getIdentifier

          public int getIdentifier()

    - #### getIndex

          public int getIndex()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### setHashCode

          public void setHashCode(int hashCode)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### compareTo

          public int compareTo(TokenEntry other)

      Specified by:
        `compareTo` in interface `Comparable<TokenEntry>`

Copyright © 2002-2013 InfoEther. All Rights Reserved.